Bug 155385 - [OS X] Scrollbars of overflow:scroll divs should appear on the left on RTL systems
Summary: [OS X] Scrollbars of overflow:scroll divs should appear on the left on RTL sy...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-03-11 19:29 PST by Myles C. Maxfield
Modified: 2016-03-13 20:45 PDT (History)
9 users (show)

See Also:


Attachments
WIP (31.46 KB, patch)
2016-03-11 19:30 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (39.73 KB, patch)
2016-03-11 19:40 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (40.84 KB, patch)
2016-03-11 21:55 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (49.05 KB, patch)
2016-03-11 22:02 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (49.99 KB, patch)
2016-03-11 22:13 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (4.47 MB, application/zip)
2016-03-11 22:45 PST, Build Bot
no flags Details
Patch (55.87 KB, patch)
2016-03-11 23:05 PST, Myles C. Maxfield
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2016-03-11 19:29:23 PST
[OS X] Scrollbars of overflow:scroll divs should appear on the left on RTL systems
Comment 1 Myles C. Maxfield 2016-03-11 19:30:08 PST
Created attachment 273796 [details]
WIP
Comment 2 Myles C. Maxfield 2016-03-11 19:40:14 PST
Created attachment 273798 [details]
WIP
Comment 3 Myles C. Maxfield 2016-03-11 21:55:57 PST
Created attachment 273803 [details]
WIP
Comment 4 Myles C. Maxfield 2016-03-11 22:02:13 PST
Created attachment 273804 [details]
WIP
Comment 5 Myles C. Maxfield 2016-03-11 22:13:32 PST
Created attachment 273807 [details]
Patch
Comment 6 Build Bot 2016-03-11 22:45:48 PST
Comment on attachment 273807 [details]
Patch

Attachment 273807 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/964349

New failing tests:
fast/scrolling/rtl-scrollbars-overflow-padding.html
fast/scrolling/rtl-scrollbars-overflow.html
fast/scrolling/rtl-scrollbars-overflow-simple.html
fast/scrolling/rtl-scrollbars-overflow-contents.html
fast/scrolling/rtl-scrollbars-overflow-dir-rtl.html
Comment 7 Build Bot 2016-03-11 22:45:53 PST
Created attachment 273811 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Myles C. Maxfield 2016-03-11 23:05:53 PST
Created attachment 273812 [details]
Patch
Comment 9 Simon Fraser (smfr) 2016-03-11 23:31:34 PST
Comment on attachment 273812 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=273812&action=review

> Source/WebCore/rendering/style/RenderStyle.cpp:2045
> +bool RenderStyle::shouldPlaceBlockDirectionScrollbarOnLogicalLeft() const

"LogicalLeft" makes my brain hurt. Isn't the logical left for RTL actually the right? For logical positions we normally use start/end, so maybe this is PhysicalLeft?
Comment 10 Myles C. Maxfield 2016-03-12 13:18:20 PST
Committed r198069: <http://trac.webkit.org/changeset/198069>
Comment 11 Radar WebKit Bug Importer 2016-03-13 20:45:56 PDT
<rdar://problem/25136942>